<%args>
    $course
</%args>
% # 1 = Guest user, 2 = Admin User
% my $userid = 1;
<?xml version="1.0" encoding="UTF-8"?>
<MOODLE_BACKUP>
  <INFO>
    <NAME><% $course->{name} %></NAME>
    <MOODLE_VERSION>2007021550</MOODLE_VERSION>
    <MOODLE_RELEASE>1.8.5+</MOODLE_RELEASE>
    <BACKUP_VERSION>2007022100</BACKUP_VERSION>
    <BACKUP_RELEASE>1.8+</BACKUP_RELEASE>
    <DATE>1216755767</DATE>
    <ORIGINAL_WWWROOT>http://localhost/moodle</ORIGINAL_WWWROOT>
    <ZIP_METHOD>internal</ZIP_METHOD>
    <DETAILS>
      <MOD>
        <NAME>forum</NAME>
        <INCLUDED>true</INCLUDED>
        <USERINFO>true</USERINFO>
        <INSTANCES>
          <INSTANCE>
          <ID>8000</ID>
          <NAME>Discussion for <% $course->{name} %></NAME>
          <INCLUDED>true</INCLUDED>
          <USERINFO>true</USERINFO>
          </INSTANCE>
        </INSTANCES>
      </MOD>
      <MOD>
        <NAME>resource</NAME>
        <INCLUDED>true</INCLUDED>
        <USERINFO>false</USERINFO>
        <INSTANCES>
% foreach my $lesson (@{$course->{lessons}}) {
          <INSTANCE>
          <ID><% $lesson->{id} + 6000 %></ID>
          <NAME><![CDATA[<% $lesson->{name} %>]]></NAME>
          <INCLUDED>true</INCLUDED>
          <USERINFO>false</USERINFO>
          </INSTANCE>
% }
        </INSTANCES>
      </MOD>
      <METACOURSE>false</METACOURSE>
      <USERS>course</USERS>
      <LOGS>false</LOGS>
      <USERFILES>false</USERFILES>
      <COURSEFILES>false</COURSEFILES>
      <MESSAGES>false</MESSAGES>
      <BLOCKFORMAT>instances</BLOCKFORMAT>
    </DETAILS>
  </INFO>
  <ROLES>
  </ROLES>
  <COURSE>
    <HEADER>
      <ID><% $course->{id} %></ID>
      <CATEGORY>
        <ID>2</ID>
        <NAME>Imported from Mailing Lists</NAME>
      </CATEGORY>
      <PASSWORD></PASSWORD>
      <FULLNAME><% $course->{name} %></FULLNAME>
      <SHORTNAME><% $course->{name} %></SHORTNAME>
      <IDNUMBER></IDNUMBER>
      <SUMMARY>Automatically imported from mailing lists.</SUMMARY>
      <FORMAT>topics</FORMAT>
      <SHOWGRADES>0</SHOWGRADES>
      <NEWSITEMS>5</NEWSITEMS>
      <TEACHER>Teacher</TEACHER>
      <TEACHERS>Teachers</TEACHERS>
      <STUDENT>Student</STUDENT>
      <STUDENTS>Students</STUDENTS>
      <GUEST>1</GUEST>
      <STARTDATE>1216771200</STARTDATE>
      <NUMSECTIONS>1</NUMSECTIONS>
      <MAXBYTES>2097152</MAXBYTES>
      <SHOWREPORTS>0</SHOWREPORTS>
      <GROUPMODE>0</GROUPMODE>
      <GROUPMODEFORCE>0</GROUPMODEFORCE>
      <LANG></LANG>
      <THEME></THEME>
      <COST></COST>
      <CURRENCY>USD</CURRENCY>
      <MARKER>0</MARKER>
      <VISIBLE>1</VISIBLE>
      <HIDDENSECTIONS>0</HIDDENSECTIONS>
      <TIMECREATED>1216755196</TIMECREATED>
      <TIMEMODIFIED>1216755196</TIMEMODIFIED>
      <METACOURSE>0</METACOURSE>
      <ENROLPERIOD>0</ENROLPERIOD>
      <ROLES_OVERRIDES>
      </ROLES_OVERRIDES>
      <ROLES_ASSIGNMENTS>
      </ROLES_ASSIGNMENTS>
    </HEADER>
    <BLOCKS>
      <BLOCK>
        <ID>998</ID>
        <NAME>activity_modules</NAME>
        <PAGEID><% $course->{id} %></PAGEID>
        <PAGETYPE>course-view</PAGETYPE>
        <POSITION>l</POSITION>
        <WEIGHT>1</WEIGHT>
        <VISIBLE>1</VISIBLE>
        <CONFIGDATA></CONFIGDATA>
        <ROLES_OVERRIDES>
        </ROLES_OVERRIDES>
        <ROLES_ASSIGNMENTS>
        </ROLES_ASSIGNMENTS>
      </BLOCK>
      <BLOCK>
        <ID>997</ID>
        <NAME>search_forums</NAME>
        <PAGEID><% $course->{id} %></PAGEID>
        <PAGETYPE>course-view</PAGETYPE>
        <POSITION>l</POSITION>
        <WEIGHT>2</WEIGHT>
        <VISIBLE>1</VISIBLE>
        <CONFIGDATA></CONFIGDATA>
        <ROLES_OVERRIDES>
        </ROLES_OVERRIDES>
        <ROLES_ASSIGNMENTS>
        </ROLES_ASSIGNMENTS>
      </BLOCK>
      <BLOCK>
        <ID>996</ID>
        <NAME>admin</NAME>
        <PAGEID><% $course->{id} %></PAGEID>
        <PAGETYPE>course-view</PAGETYPE>
        <POSITION>l</POSITION>
        <WEIGHT>3</WEIGHT>
        <VISIBLE>1</VISIBLE>
        <CONFIGDATA></CONFIGDATA>
        <ROLES_OVERRIDES>
        </ROLES_OVERRIDES>
        <ROLES_ASSIGNMENTS>
        </ROLES_ASSIGNMENTS>
      </BLOCK>
    </BLOCKS>
    <SECTIONS>
      <SECTION>
        <ID>0</ID>
        <NUMBER>0</NUMBER>
        <SUMMARY></SUMMARY>
        <VISIBLE>1</VISIBLE>
        <MODS>
          <MOD>
            <ID>8000</ID>
            <TYPE>forum</TYPE>
            <INSTANCE>8000</INSTANCE>
            <ADDED>1216755294</ADDED>
            <SCORE>0</SCORE>
            <INDENT>0</INDENT>
            <VISIBLE>1</VISIBLE>
            <GROUPMODE>0</GROUPMODE>
            <ROLES_OVERRIDES>
            </ROLES_OVERRIDES>
            <ROLES_ASSIGNMENTS>
            </ROLES_ASSIGNMENTS>
          </MOD>
	</MODS>
      </SECTION>
      <SECTION>
        <ID>1</ID>
        <NUMBER>1</NUMBER>
        <SUMMARY><h3>Lessons</h3></SUMMARY>
        <VISIBLE>1</VISIBLE>
        <MODS>
% my $i=1;
% foreach my $lesson (@{$course->{lessons}}) {
          <MOD>
            <ID><% $lesson->{id} + 6000 %></ID>
            <TYPE>resource</TYPE>
            <INSTANCE><% $lesson->{id} + 6000 %></INSTANCE>
            <ADDED>1216755247</ADDED>
            <SCORE>0</SCORE>
            <INDENT>0</INDENT>
            <VISIBLE>1</VISIBLE>
            <GROUPMODE>0</GROUPMODE>
            <ROLES_OVERRIDES>
            </ROLES_OVERRIDES>
            <ROLES_ASSIGNMENTS>
            </ROLES_ASSIGNMENTS>
          </MOD>
% $i += 1;
% }
        </MODS>
      </SECTION>
    </SECTIONS>
    <USERS>
    </USERS>
    <GRADEBOOK>
    </GRADEBOOK>
    <MODULES>
      <MOD>
        <ID>8000</ID>
        <MODTYPE>forum</MODTYPE>
        <TYPE>general</TYPE>
        <NAME>Discussion for <% $course->{name} %></NAME>
        <INTRO>Discussion for <% $course->{name} %></INTRO>
        <ASSESSED>0</ASSESSED>
        <ASSESSTIMESTART>0</ASSESSTIMESTART>
        <ASSESSTIMEFINISH>0</ASSESSTIMEFINISH>
        <MAXBYTES>512000</MAXBYTES>
        <SCALE>0</SCALE>
        <FORCESUBSCRIBE>0</FORCESUBSCRIBE>
        <TRACKINGTYPE>1</TRACKINGTYPE>
        <RSSTYPE>0</RSSTYPE>
        <RSSARTICLES>0</RSSARTICLES>
        <TIMEMODIFIED>1216755294</TIMEMODIFIED>
        <WARNAFTER>0</WARNAFTER>
        <BLOCKAFTER>0</BLOCKAFTER>
        <BLOCKPERIOD>0</BLOCKPERIOD>
        <SUBSCRIPTIONS>
        </SUBSCRIPTIONS>
        <DISCUSSIONS>
% foreach my $lesson (@{$course->{lessons}}) {
          <DISCUSSION>
            <ID><% $lesson->{id} %></ID>
            <NAME><![CDATA[<% $lesson->{name} %>]]></NAME>
            <FIRSTPOST><% @{$lesson->{posts}}[0]->{id} %></FIRSTPOST>
            <USERID><% $userid %></USERID>
            <GROUPID>-1</GROUPID>
            <ASSESSED>1</ASSESSED>
            <TIMEMODIFIED><% @{$lesson->{posts}}[-1]->{timestamp} %></TIMEMODIFIED>
            <USERMODIFIED><% $userid %></USERMODIFIED>
            <TIMESTART>0</TIMESTART>
            <TIMEEND>0</TIMEEND>
            <POSTS>
% foreach my $post (@{$lesson->{posts}}) {
              <POST>
                <ID><% $post->{id} %></ID>
                <PARENT><% $post->{parent} %></PARENT>
                <USERID><% $userid %></USERID>
                <CREATED><% $post->{timestamp} %></CREATED>
                <MODIFIED><% $post->{timestamp} %></MODIFIED>
                <MAILED>0</MAILED>
                <SUBJECT><![CDATA[<% $post->{subject} %>]]></SUBJECT>
                <MESSAGE><![CDATA[<% $post->{body} %>]]></MESSAGE>
                <FORMAT>0</FORMAT>
                <ATTACHMENT><% $post->{attachment} %></ATTACHMENT>
                <TOTALSCORE>0</TOTALSCORE>
                <MAILNOW>0</MAILNOW>
              </POST>
% }
	    </POSTS>
	  </DISCUSSION>
% }
        </DISCUSSIONS>
      </MOD>
% foreach my $lesson (@{$course->{lessons}}) {
      <MOD>
        <ID><% $lesson->{id} + 6000 %></ID>
        <MODTYPE>resource</MODTYPE>
        <NAME><![CDATA[<% $lesson->{name} %>]]></NAME>
        <TYPE>text</TYPE>
        <REFERENCE>2</REFERENCE>
        <SUMMARY><![CDATA[<% $lesson->{summary} %>]]></SUMMARY>
        <ALLTEXT><![CDATA[<% $lesson->{body} %>]]></ALLTEXT>
        <POPUP></POPUP>
        <OPTIONS></OPTIONS>
        <TIMEMODIFIED>1216755247</TIMEMODIFIED>
      </MOD>
% }
    </MODULES>
    <FORMATDATA>
    </FORMATDATA>
  </COURSE>
</MOODLE_BACKUP>
